<?php

namespace Drupal\graphql_compose_configs;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of Configuration Exposure entities.
 */
class ConfigurationExposureListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = $this->t('Label');
    $header['config_name'] = $this->t('Configuration');
    $header['exposed_fields'] = $this->t('Exposed Fields');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\graphql_compose_configs\Entity\ConfigurationExposure $entity */
    $row['label'] = $entity->label();
    $row['config_name'] = $entity->getConfigName();
    $row['exposed_fields'] = implode(', ', $entity->getExposedFields());
    return $row + parent::buildRow($entity);
  }

}
